Update profile
Update profile details of an organization user.
PUT https://api.tedee.com/api/v37/organization/{organizationId}/user/byorganizationuserid/{organizationUserId}
URI Parameters
Name |
Type |
Description |
|---|---|---|
organizationId |
number |
id of organization |
organizationUserId |
number |
id of organization user |
Body Parameters
Name |
Type |
Description |
|---|---|---|
displayName |
string |
New user display name |
Responses
Name |
Type |
Description |
|---|---|---|
201 Created |
ApiResponse |
Created |
400 Bad Request |
ApiResponse |
Bad Request |
401 Unauthorized |
ApiResponse |
Unauthorized |
404 Not Found |
ApiResponse |
Not Found |
500 Server Error |
ApiResponse |
Server Error |
Scopes
Name |
Description |
|---|---|
Organization.ReadWrite |
Grants user possibility to read and write organization data |
Examples
Update display name for organization user 123 in organization 1
curl -X PUT "https://api.tedee.com/api/v37/organization/1/user/byorganizationuserid/123" \
-H "accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <<access token>>" \
-d "{\"displayName\":\"John A. Doe\"}"